List NodeJS builds
Retrieve a paginated list of Node.js build processes for a specific website.
Retrieve a paginated list of Node.js build processes for a specific website.
Each build represents a single run of the Node.js build pipeline. Use the states
query parameter to filter results by build state (pending, running, completed, failed).
Use the uuid from a build to poll its output via the Get Node.js Build Logs endpoint.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
usernamestringRequiredExample:
u123456789domainstringRequiredExample:
Domain name
mydomain.tldQuery parameters
pageintegerOptionalExample:
Page number
1per_pageinteger · max: 100OptionalDefault:
Number of items per page
25Example: 25Responses
200
Success response
application/json
401
Unauthenticated response
application/json
500
Error response
application/json
get/api/hosting/v1/accounts/{username}/websites/{domain}/nodejs/builds
GET /api/hosting/v1/accounts/{username}/websites/{domain}/nodejs/builds HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"uuid": "69f07fe2-197a-4fb3-9dae-606f965ad13d",
"state": "pending",
"options": {
"node_version": 24,
"app_type": "vite",
"root_directory": "src",
"output_directory": "dist",
"build_script": "build",
"entry_file": "server.js",
"package_manager": "npm",
"source_type": "archive",
"source_options": {
"archive_path": "archive.zip"
}
},
"created_at": "2024-05-29T05:49:49.067239Z",
"updated_at": "2024-05-29T05:49:49.067239Z"
}
],
"meta": {
"current_page": 1,
"per_page": 15,
"total": 100
}
}Last updated
Was this helpful?